<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;./lib/server/moxit_server.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp__incl.png" border="0" usemap="#backend_2src_2main_8cpp" alt=""/></div>
<map name="backend_2src_2main_8cpp" id="backend_2src_2main_8cpp">
<area shape="rect" title=" " alt="" coords="2019,5,2181,32"/>
<area shape="rect" title=" " alt="" coords="5,102,139,143"/>
<area shape="rect" title=" " alt="" coords="163,109,243,136"/>
<area shape="rect" title=" " alt="" coords="267,109,370,136"/>
<area shape="rect" title=" " alt="" coords="394,109,486,136"/>
<area shape="rect" title=" " alt="" coords="511,109,585,136"/>
<area shape="rect" title=" " alt="" coords="609,109,684,136"/>
<area shape="rect" title=" " alt="" coords="708,109,772,136"/>
<area shape="rect" title=" " alt="" coords="797,109,859,136"/>
<area shape="rect" title=" " alt="" coords="883,109,975,136"/>
<area shape="rect" title=" " alt="" coords="999,109,1086,136"/>
<area shape="rect" title=" " alt="" coords="1110,109,1178,136"/>
<area shape="rect" title=" " alt="" coords="1202,109,1273,136"/>
<area shape="rect" title=" " alt="" coords="1297,109,1356,136"/>
<area shape="rect" title=" " alt="" coords="1380,109,1476,136"/>
<area shape="rect" title=" " alt="" coords="1501,109,1574,136"/>
<area shape="rect" title=" " alt="" coords="1598,109,1722,136"/>
<area shape="rect" title=" " alt="" coords="1746,109,1817,136"/>
<area shape="rect" title=" " alt="" coords="1841,109,1967,136"/>
<area shape="rect" title=" " alt="" coords="1991,109,2086,136"/>
<area shape="rect" title=" " alt="" coords="2111,109,2212,136"/>
<area shape="rect" title=" " alt="" coords="2237,109,2331,136"/>
<area shape="rect" title=" " alt="" coords="2356,80,2599,165"/>
<area shape="rect" title=" " alt="" coords="2623,80,2865,165"/>
<area shape="rect" title=" " alt="" coords="2889,80,3132,165"/>
<area shape="rect" title=" " alt="" coords="3156,109,3215,136"/>
<area shape="rect" title=" " alt="" coords="3239,80,3481,165"/>
<area shape="rect" title=" " alt="" coords="3505,80,3748,165"/>
<area shape="rect" title=" " alt="" coords="3773,87,4081,158"/>
<area shape="rect" title=" " alt="" coords="4105,80,4346,165"/>
<area shape="rect" title=" " alt="" coords="4370,80,4611,165"/>
<area shape="rect" title=" " alt="" coords="4635,109,4709,136"/>
<area shape="rect" title=" " alt="" coords="4733,109,4803,136"/>
<area shape="rect" title=" " alt="" coords="4827,109,4885,136"/>
<area shape="rect" title=" " alt="" coords="4909,109,4981,136"/>
<area shape="rect" title=" " alt="" coords="5005,109,5091,136"/>
<area shape="rect" title=" " alt="" coords="5115,109,5186,136"/>
<area shape="rect" title=" " alt="" coords="5210,109,5307,136"/>
<area shape="rect" title=" " alt="" coords="5331,109,5397,136"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae66f6b31b5ad750f1fe042a706a4e3d4">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
